IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_198_query]') AND type = 'P')
DROP PROCEDURE [dbo].[order_198_query]
GO
CREATE  procedure order_198_query(
@cmpid int,@branchid int,@userdpid int,@userotid int ,@useruid int ,@bizid int ,@finished int ,@status nvarchar(50),@pagesize int , @pagecount int , @pageobjids varchar(8000),@ord_ywlx_min varchar(100), @ord_ywlx_max varchar(100),@ord_zjsj_min datetime,@ord_zjsj_max datetime,@ord_kysj_min datetime,@ord_kysj_max datetime,@ord_lxdh_min varchar(100), @ord_lxdh_max varchar(100),@ord_qq_min varchar(100), @ord_qq_max varchar(100),@ord_no_min varchar(50), @ord_no_max varchar(50),@ord_dpmc_min varchar(100), @ord_dpmc_max varchar(100),@ord_dplx_min varchar(100), @ord_dplx_max varchar(100),@ord_dpdz_min varchar(100), @ord_dpdz_max varchar(100),@ord_dpfzr_min varchar(100), @ord_dpfzr_max varchar(100),@ord_dpbh_min varchar(100), @ord_dpbh_max varchar(100),@ord_status_min nvarchar(30), @ord_status_max nvarchar(30),@ord_creator_min nvarchar(50), @ord_creator_max nvarchar(50)) as begin  
set nocount on  

declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1') 
declare @s1 varchar(8000) 
declare @s2 varchar(100) 
declare @i int 
declare @amount int 
select @amount = @pagecount*@pagesize 
declare @pobjs table(nid int identity(1, 1), ordid bigint) 
set @s1 = @pageobjids 
while (@s1>'') 
begin 
set @i = charindex(',', @s1) 
if (@i>0) 
begin 
set @s2 = substring(@s1,1,@i-1) 
set @s1 = substring(@s1,@i+1,len(@s1)-@i) 
end else  
begin 
set @s2 = @s1 
set @s1 = '' 
end 
insert into @pobjs(ordid) values(convert(bigint,@s2)) 
end 
if (exists (select top 1 * from @pobjs)) 
begin 
select a.* from order_198 a, @pobjs
where ord_id=ordid
order by nid 
select a.* from order_198_users a , @pobjs 
where ordp_ordid=ordid and ordp_cuid=@useruid
return 
end 
if (@status is null or @status = '_none_') set @status = '' 


if (@ord_ywlx_min is null or @ord_ywlx_min = '_none_') set @ord_ywlx_min = '' 
if (@ord_ywlx_max is null or @ord_ywlx_max = '_none_') set @ord_ywlx_max = '' 


                if (@ord_zjsj_min is null or @ord_zjsj_min <= @nonedate) set @ord_zjsj_min = '1900-01-01' 
                
if (@ord_zjsj_max is null or @ord_zjsj_max <= @nonedate) set @ord_zjsj_max =  '2299-12-30 23:59:59'
else set @ord_zjsj_max = @ord_zjsj_max+ '23:59:59'
                


                if (@ord_kysj_min is null or @ord_kysj_min <= @nonedate) set @ord_kysj_min = '1900-01-01' 
                
if (@ord_kysj_max is null or @ord_kysj_max <= @nonedate) set @ord_kysj_max =  '2299-12-30 23:59:59'
else set @ord_kysj_max = @ord_kysj_max+ '23:59:59'
                

if (@ord_lxdh_min is null or @ord_lxdh_min = '_none_') set @ord_lxdh_min = '' 
if (@ord_lxdh_max is null or @ord_lxdh_max = '_none_') set @ord_lxdh_max = '' 

if (@ord_qq_min is null or @ord_qq_min = '_none_') set @ord_qq_min = '' 
if (@ord_qq_max is null or @ord_qq_max = '_none_') set @ord_qq_max = '' 

if (@ord_no_min is null or @ord_no_min = '_none_') set @ord_no_min = '' 
if (@ord_no_max is null or @ord_no_max = '_none_') set @ord_no_max = '' 

if (@ord_dpmc_min is null or @ord_dpmc_min = '_none_') set @ord_dpmc_min = '' 
if (@ord_dpmc_max is null or @ord_dpmc_max = '_none_') set @ord_dpmc_max = '' 

if (@ord_dplx_min is null or @ord_dplx_min = '_none_') set @ord_dplx_min = '' 
if (@ord_dplx_max is null or @ord_dplx_max = '_none_') set @ord_dplx_max = '' 

if (@ord_dpdz_min is null or @ord_dpdz_min = '_none_') set @ord_dpdz_min = '' 
if (@ord_dpdz_max is null or @ord_dpdz_max = '_none_') set @ord_dpdz_max = '' 

if (@ord_dpfzr_min is null or @ord_dpfzr_min = '_none_') set @ord_dpfzr_min = '' 
if (@ord_dpfzr_max is null or @ord_dpfzr_max = '_none_') set @ord_dpfzr_max = '' 

if (@ord_dpbh_min is null or @ord_dpbh_min = '_none_') set @ord_dpbh_min = '' 
if (@ord_dpbh_max is null or @ord_dpbh_max = '_none_') set @ord_dpbh_max = '' 

if (@ord_status_min is null or @ord_status_min = '_none_') set @ord_status_min = '' 
if (@ord_status_max is null or @ord_status_max = '_none_') set @ord_status_max = '' 

if (@ord_creator_min is null or @ord_creator_min = '_none_') set @ord_creator_min = '' 
if (@ord_creator_max is null or @ord_creator_max = '_none_') set @ord_creator_max = '' 

if @ord_ywlx_min>'' 
begin 
if (charindex('%',@ord_ywlx_min) = 0 and @ord_ywlx_min!='_empty_') 
 begin
set @ord_ywlx_min = '%'+@ord_ywlx_min+'%';
 end else if (@ord_ywlx_min='_empty_') set @ord_ywlx_min='' 
end else
begin 
set @ord_ywlx_min = '%' 
end
if @ord_ywlx_max>'' 
begin 
if (charindex('%', @ord_ywlx_max) = 0 and @ord_ywlx_max!='_empty_') 
begin
set@ord_ywlx_max = '%'+@ord_ywlx_max+'%';
 end else if (@ord_ywlx_max='_empty_') set @ord_ywlx_max='' 
end else
begin 
set @ord_ywlx_max = '%' 
end

if @ord_lxdh_min>'' 
begin 
if (charindex('%',@ord_lxdh_min) = 0 and @ord_lxdh_min!='_empty_') 
 begin
set @ord_lxdh_min = '%'+@ord_lxdh_min+'%';
 end else if (@ord_lxdh_min='_empty_') set @ord_lxdh_min='' 
end else
begin 
set @ord_lxdh_min = '%' 
end
if @ord_lxdh_max>'' 
begin 
if (charindex('%', @ord_lxdh_max) = 0 and @ord_lxdh_max!='_empty_') 
begin
set@ord_lxdh_max = '%'+@ord_lxdh_max+'%';
 end else if (@ord_lxdh_max='_empty_') set @ord_lxdh_max='' 
end else
begin 
set @ord_lxdh_max = '%' 
end

if @ord_qq_min>'' 
begin 
if (charindex('%',@ord_qq_min) = 0 and @ord_qq_min!='_empty_') 
 begin
set @ord_qq_min = '%'+@ord_qq_min+'%';
 end else if (@ord_qq_min='_empty_') set @ord_qq_min='' 
end else
begin 
set @ord_qq_min = '%' 
end
if @ord_qq_max>'' 
begin 
if (charindex('%', @ord_qq_max) = 0 and @ord_qq_max!='_empty_') 
begin
set@ord_qq_max = '%'+@ord_qq_max+'%';
 end else if (@ord_qq_max='_empty_') set @ord_qq_max='' 
end else
begin 
set @ord_qq_max = '%' 
end

if @ord_no_min>'' 
begin 
if (charindex('%',@ord_no_min) = 0 and @ord_no_min!='_empty_') 
 begin
set @ord_no_min = '%'+@ord_no_min+'%';
 end else if (@ord_no_min='_empty_') set @ord_no_min='' 
end else
begin 
set @ord_no_min = '%' 
end
if @ord_no_max>'' 
begin 
if (charindex('%', @ord_no_max) = 0 and @ord_no_max!='_empty_') 
begin
set@ord_no_max = '%'+@ord_no_max+'%';
 end else if (@ord_no_max='_empty_') set @ord_no_max='' 
end else
begin 
set @ord_no_max = '%' 
end

if @ord_dpmc_min>'' 
begin 
if (charindex('%',@ord_dpmc_min) = 0 and @ord_dpmc_min!='_empty_') 
 begin
set @ord_dpmc_min = '%'+@ord_dpmc_min+'%';
 end else if (@ord_dpmc_min='_empty_') set @ord_dpmc_min='' 
end else
begin 
set @ord_dpmc_min = '%' 
end
if @ord_dpmc_max>'' 
begin 
if (charindex('%', @ord_dpmc_max) = 0 and @ord_dpmc_max!='_empty_') 
begin
set@ord_dpmc_max = '%'+@ord_dpmc_max+'%';
 end else if (@ord_dpmc_max='_empty_') set @ord_dpmc_max='' 
end else
begin 
set @ord_dpmc_max = '%' 
end

if @ord_dplx_min>'' 
begin 
if (charindex('%',@ord_dplx_min) = 0 and @ord_dplx_min!='_empty_') 
 begin
set @ord_dplx_min = '%'+@ord_dplx_min+'%';
 end else if (@ord_dplx_min='_empty_') set @ord_dplx_min='' 
end else
begin 
set @ord_dplx_min = '%' 
end
if @ord_dplx_max>'' 
begin 
if (charindex('%', @ord_dplx_max) = 0 and @ord_dplx_max!='_empty_') 
begin
set@ord_dplx_max = '%'+@ord_dplx_max+'%';
 end else if (@ord_dplx_max='_empty_') set @ord_dplx_max='' 
end else
begin 
set @ord_dplx_max = '%' 
end

if @ord_dpdz_min>'' 
begin 
if (charindex('%',@ord_dpdz_min) = 0 and @ord_dpdz_min!='_empty_') 
 begin
set @ord_dpdz_min = '%'+@ord_dpdz_min+'%';
 end else if (@ord_dpdz_min='_empty_') set @ord_dpdz_min='' 
end else
begin 
set @ord_dpdz_min = '%' 
end
if @ord_dpdz_max>'' 
begin 
if (charindex('%', @ord_dpdz_max) = 0 and @ord_dpdz_max!='_empty_') 
begin
set@ord_dpdz_max = '%'+@ord_dpdz_max+'%';
 end else if (@ord_dpdz_max='_empty_') set @ord_dpdz_max='' 
end else
begin 
set @ord_dpdz_max = '%' 
end

if @ord_dpfzr_min>'' 
begin 
if (charindex('%',@ord_dpfzr_min) = 0 and @ord_dpfzr_min!='_empty_') 
 begin
set @ord_dpfzr_min = '%'+@ord_dpfzr_min+'%';
 end else if (@ord_dpfzr_min='_empty_') set @ord_dpfzr_min='' 
end else
begin 
set @ord_dpfzr_min = '%' 
end
if @ord_dpfzr_max>'' 
begin 
if (charindex('%', @ord_dpfzr_max) = 0 and @ord_dpfzr_max!='_empty_') 
begin
set@ord_dpfzr_max = '%'+@ord_dpfzr_max+'%';
 end else if (@ord_dpfzr_max='_empty_') set @ord_dpfzr_max='' 
end else
begin 
set @ord_dpfzr_max = '%' 
end

if @ord_dpbh_min>'' 
begin 
if (charindex('%',@ord_dpbh_min) = 0 and @ord_dpbh_min!='_empty_') 
 begin
set @ord_dpbh_min = '%'+@ord_dpbh_min+'%';
 end else if (@ord_dpbh_min='_empty_') set @ord_dpbh_min='' 
end else
begin 
set @ord_dpbh_min = '%' 
end
if @ord_dpbh_max>'' 
begin 
if (charindex('%', @ord_dpbh_max) = 0 and @ord_dpbh_max!='_empty_') 
begin
set@ord_dpbh_max = '%'+@ord_dpbh_max+'%';
 end else if (@ord_dpbh_max='_empty_') set @ord_dpbh_max='' 
end else
begin 
set @ord_dpbh_max = '%' 
end

if @ord_status_min>'' 
begin 
if (charindex('%',@ord_status_min) = 0 and @ord_status_min!='_empty_') 
 begin
set @ord_status_min = '%'+@ord_status_min+'%';
 end else if (@ord_status_min='_empty_') set @ord_status_min='' 
end else
begin 
set @ord_status_min = '%' 
end
if @ord_status_max>'' 
begin 
if (charindex('%', @ord_status_max) = 0 and @ord_status_max!='_empty_') 
begin
set@ord_status_max = '%'+@ord_status_max+'%';
 end else if (@ord_status_max='_empty_') set @ord_status_max='' 
end else
begin 
set @ord_status_max = '%' 
end

if @ord_creator_min>'' 
begin 
if (charindex('%',@ord_creator_min) = 0 and @ord_creator_min!='_empty_') 
 begin
set @ord_creator_min = '%'+@ord_creator_min+'%';
 end else if (@ord_creator_min='_empty_') set @ord_creator_min='' 
end else
begin 
set @ord_creator_min = '%' 
end
if @ord_creator_max>'' 
begin 
if (charindex('%', @ord_creator_max) = 0 and @ord_creator_max!='_empty_') 
begin
set@ord_creator_max = '%'+@ord_creator_max+'%';
 end else if (@ord_creator_max='_empty_') set @ord_creator_max='' 
end else
begin 
set @ord_creator_max = '%' 
end
 
    
if (@finished = -11)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_198 a,order_198_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished > 0 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished > 0
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_198 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished > 0
order by nid 
-- 返回权限 
select a.* from order_198_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -10)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_198 a,order_198_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_198 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
order by nid 
-- 返回权限 
select a.* from order_198_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 2)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_198 a,order_198_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished>=2 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished>=2 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_198 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished>=2 
order by nid 
-- 返回权限 
select a.* from order_198_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_198 a,order_198_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ordp_ordid=a.ord_id 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_finished<=1)
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_finished<=1)
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_198 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_finished<=1) 
order by nid 
-- 返回权限 
select a.* from order_198_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_198 a,order_198_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_finished=-1 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ord_finished=-1 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_198 a,order_198_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_ywlx like @ord_ywlx_min 
and ord_ywlx like @ord_ywlx_max 
and ord_zjsj>=@ord_zjsj_min 
and ord_zjsj<=@ord_zjsj_max 
and ord_kysj>=@ord_kysj_min 
and ord_kysj<=@ord_kysj_max 
and ord_lxdh like @ord_lxdh_min 
and ord_lxdh like @ord_lxdh_max 
and ord_qq like @ord_qq_min 
and ord_qq like @ord_qq_max 
and ord_no like @ord_no_min 
and ord_no like @ord_no_max 
and ord_dpmc like @ord_dpmc_min 
and ord_dpmc like @ord_dpmc_max 
and ord_dplx like @ord_dplx_min 
and ord_dplx like @ord_dplx_max 
and ord_dpdz like @ord_dpdz_min 
and ord_dpdz like @ord_dpdz_max 
and ord_dpfzr like @ord_dpfzr_min 
and ord_dpfzr like @ord_dpfzr_max 
and ord_dpbh like @ord_dpbh_min 
and ord_dpbh like @ord_dpbh_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
order by ord_date desc,ord_ywlx,ord_zjsj desc,ord_kysj desc,ord_lxdh,ord_qq,ord_no,ord_dpmc,ord_dplx,ord_dpdz,ord_dpfzr,ord_dpbh,ord_status,ord_creator
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_198 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and ord_finished=-1 
order by nid 
-- 返回权限 
select a.* from order_198_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end 
set nocount off end